Skip to main content
GET
/
v1
/
users
/
{userId}
Get user by ID
curl --request GET \
  --url https://wmc.wiremockapi.cloud/v1/users/{userId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://wmc.wiremockapi.cloud/v1/users/{userId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://wmc.wiremockapi.cloud/v1/users/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "user": {
    "id": "9gd5l",
    "aclObject": "4kg32",
    "username": "docs@example.com",
    "avatarUrl": "https://s.gravatar.com/avatar/0dc7361faa5dcde8ee7789f06074bb30?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fdo.png",
    "emailAddress": "docs@example.com",
    "marketingOptIn": true,
    "signupDate": "2024-08-23T20:15:32.289889Z",
    "idpUserId": "auth0|66c8ede29a4b3267bd1c4c42",
    "userHash": "47f058ba304b4e3988f285e8b8f6b37b288fbe93c343578ce2deb37c47a24289",
    "links": {
      "self": "/v1/users/9gd5l",
      "teams": "/v1/users/9gd5l/teams",
      "mockApis": "/v1/users/9gd5l/apis",
      "apiTemplateCatalogues": "/v1/users/9gd5l/api-template-catalogues",
      "apiTemplates": "/v1/users/9gd5l/api-templates",
      "dataSources": "/v1/users/9gd5l/data-sources",
      "keys": "/v1/users/9gd5l/jwks",
      "organisation": "/v1/organisations/mgk7g",
      "aclSubject": "/v1/acl/subjects/9gd5l",
      "aclObject": "/v1/acl/objects/4kg32"
    },
    "hasNativeIdp": true,
    "aclSubject": "9gd5l"
  }
}
"Credentials are required to access this resource."
{
  "errors": [
    {
      "title": "Forbidden",
      "source": {}
    }
  ]
}
{
  "code": 404,
  "message": "HTTP 404 Not Found"
}

Authorizations

Authorization
string
header
required

Your API key prefixed by 'Token '

Path Parameters

userId
string
required

Response

200 response

user
object
required